# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXScalarConvert

Function

Converts the contents of an Array into scalar floating-point values.

Syntax
`
#include <dx/dx.h>
`

Array DXScalarConvert(Array a)

Functional Details

Creates a new Array with the contents of Array `a` converted to scalar floating-point values, using the same conversion routines as `DXStatistics`.

Return Value

Returns a copy of the converted Array or returns `a` if it is already scalar float; otherwise, returns `NULL` and sets an error code.

See Also

`DXStatistics`

12.8 , "Extracting Module Parameters".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]